
local jumping = false

UnregisterEvent(LoadingDialog, "WARP_OUT_CINEMATIC_FINISHED")
UnregisterEvent(LoadingDialog, "JUMP_OUT_CINEMATIC_FINISHED")
UnregisterEvent(LoadingDialog, "SECTOR_CHANGED")

local PDADialog_OnEvent_old = PDADialog.OnEvent
function PDADialog:OnEvent(event, ...)
	if jumping then
		if event == "PLAYERLIST_TOGGLE" or 
			event == "NAVMENU_TOGGLE" or
			event == "JETTISONMENU_TOGGLE" or
			event == "CHAT_CANCELLED" then
				HideDialog(self)
				LoadingDialog:OnEvent("WARP_OUT_CINEMATIC_FINISHED")
			return
		end
	end
	return PDADialog_OnEvent_old(self, event, ...)
end

local PDACloseButton_action = PDACloseButton.action
function PDACloseButton:action(...)
	if jumping then
		HideDialog(PDADialog)
		LoadingDialog:OnEvent("WARP_OUT_CINEMATIC_FINISHED")
		return
	end
	return PDACloseButton_action(self, ...)
end


local function showevent_cb()
	if HUD.dlg.visible == "YES" then
		HideDialog(HUD.dlg)
		ShowDialog(PDADialog)
		jumping = true
	else
		LoadingDialog:OnEvent("WARP_OUT_CINEMATIC_FINISHED")
	end
end
RegisterEvent(showevent_cb, "WARP_OUT_CIN+EMATIC_FINISHED")
RegisterEvent(showevent_cb, "JUMP_OUT_CINEMATIC_FINISHED")
RegisterEvent(showevent_cb, "SECTOR_CHANGED")

local function hideevent_cb()
	HideDialog(PDADialog)
	jumping = false
end
RegisterEvent(hideevent_cb, "SHIP_SPAWNED")
RegisterEvent(hideevent_cb, "ENTERING_STATION")
